package cc.smtweb.framework.core.mvc.controller;

/**
 * Created by Akmm at 2022-08-24 09:26
 * 启动监听，按order先执行init，再执行run；
 */
public interface IStartListener {
    //启动执行顺序
    int order();

    //初始化设置，一般为设置参数配置
    void init();

    //启动事件
    void run();

    //服务停止时
    default void close(){}
}
